/*
  Copyright (C) 2005, 2006 Sebastien Bourdeauducq <lekernel@prism54.org>
 
  This file is part of p54u.
 
  p54u is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  p54u is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with p54u ; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

/* config.h : compile time settings */

#ifndef __CONFIG_H
#define __CONFIG_H

/* The following switches only enable support for debugging. You'll have debug messages */
/* only if you enable them at runtime with sysctl : */
/*
sysctl hw.p54u.debug_gen=1
sysctl hw.p54u.debug_net=1
sysctl hw.p54u.debug_dumpxfers=1
*/

/* Most of the debug messages */
#define WITH_DEBUG_GEN

/* Debugging of the 802.11 stack */
#define WITH_DEBUG_NET

/* Support for USB devices (v1 and v2) */
#define WITH_USB

/* Support for PCI devices (pure PCI devices, not needed for USB v1) */
#define WITH_PCI

/* SoftMAC firmware support. Leave this enabled unless you know what you are doing. */
#define WITH_SOFTMAC

/* FreeMAC firmware support. This is work in progress, and is unusable for now */
//#define WITH_FREEMAC

/* BPF (with Radiotap) support */
#define WITH_BPF

/* Channel dwell time, in ms */
#define P54U_SCAN_DELAY 250

/* LED flash when switching channels, in ms */
#define P54U_SCAN_LEDFLASH 100

/* LED flash when transmitting/receiving data, in ms */
#define P54U_ACT_LEDFLASH 30


#if ((!defined WITH_USB) && (!defined WITH_PCI))
#error You must enable at least WITH_USB or WITH_PCI
#endif

#if ((!defined WITH_SOFTMAC) && (!defined WITH_FREEMAC))
#error You must enable at least WITH_SOFTMAC or WITH_FREEMAC
#endif

#endif /* __CONFIG_H */
