/*
  Copyright (C) 2005, 2006 Sebastien Bourdeauducq <lekernel@prism54.org>
 
  This file is part of p54u.
 
  p54u is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  p54u is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with p54u ; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

/* devnode.h : /dev/p54ux device node */

#ifndef __DEVNODE_H
#define __DEVNODE_H

#include <sys/types.h>
#include <sys/param.h>
#include <sys/bus.h>
#include <sys/conf.h>
#include <sys/selinfo.h>

#define P54U_DEVNODE_TXQSIZE (32*1024)
#define P54U_DEVNODE_RXQSIZE (32*1024)

struct p54u_devnode_queue
{
	uint32_t s;
	uint32_t p;
	uint32_t c;
	uint8_t *q;
};

struct p54u_devnode_softc
{
	int is_open;
	struct p54u_devnode_queue txq;
	struct p54u_devnode_queue rxq;
	struct selinfo selp;
	struct cdev *dev;
};

struct p54u_softc;

unsigned int p54u_devnode_dequeue(struct p54u_softc *sc, char *buffer, unsigned int size);
unsigned int p54u_devnode_enqueue(struct p54u_softc *sc, const char *buffer, unsigned int size);

int p54u_devnode_init(struct p54u_softc *sc);
int p54u_devnode_free(struct p54u_softc *sc);

#endif /* __DEVNODE_H */
