/*
  Copyright (C) 2005, 2006 Sebastien Bourdeauducq <lekernel@prism54.org>
 
  This file is part of p54u.
 
  p54u is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  p54u is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with p54u ; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

/* input_layer.h : input functions called after protocol decoding */

#ifndef __INPUT_LAYER_H
#define __INPUT_LAYER_H

#include <sys/param.h>
#include <sys/systm.h>
#include <sys/mbuf.h>

struct p54u_softc;

void p54u_handle_device_available(struct p54u_softc *sc);
void p54u_handle_stats(struct p54u_softc *sc, unsigned int rx_packets, unsigned int time, unsigned int unk1, unsigned int unk2, unsigned int unk3, unsigned int unk4, unsigned int unk5, unsigned int unk6, unsigned int unk7);
int p54u_handle_eeprom(struct p54u_softc *sc, struct mbuf *m, int offset);
int p54u_handle_80211rx(struct p54u_softc *sc, struct mbuf *m, unsigned int rate, unsigned int freq, unsigned int antsignal, unsigned int timestamp);

#endif /* __INPUT_LAYER_H */
