/*
  Copyright (C) 2005 Sebastien Bourdeauducq <lekernel@prism54.org>
  Copyright (C) 2005 Jean Baptiste Note <jean-baptiste.note@m4x.org>
 
  This file is part of FreeMAC and p54u.
 
  FreeMAC and p54u are free software; you can redistribute them and/or modify
  them under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  FreeMAC and p54u are distributed in the hope that they will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with FreeMAC or p54u ; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

/* isl38xx_common.h : constants common to host and firmware */

#ifndef __ISL38XX_COMMON_H
#define __ISL38XX_COMMON_H

/* Interrupt Identification/Acknowledge/Enable register bits */
#define ISL38XX_INT_RESET                     0x00000001
#define ISL38XX_INT_UPDATE                    0x00000002
#define ISL38XX_INT_INIT                      0x00000004
#define ISL38XX_INT_WAKEUP                    0x00000008
#define ISL38XX_INT_SLEEP                     0x00000010
#define ISL38XX_INT_ABORT                     0x00000020
#define ISL38XX_INT_DATA                      0x00000040
#define ISL38XX_INT_MGMT                      0x00000080
#define ISL38XX_INT_PCIUART_CTS               0x00004000
#define ISL38XX_INT_PCIUART_DR                0x00008000
#define ISL38XX_INT_PCI_FATAL_ERROR           0x00800000
#define ISL38XX_INT_PCI_PARITY_ERROR          0x40000000
#define ISL38XX_INT_PCI_DMA_COMPLETED         0x80000000

#define ISL38XX_DEV_FIRMWARE_ADDRESS          0x00020000

#define ISL38XX_UARTPCI_MAGIC                 0x12345678

#endif /* __ISL38XX_COMMON_H */

