/*
  Copyright (C) 2005, 2006 Sebastien Bourdeauducq <lekernel@prism54.org>
 
  This file is part of p54u.
 
  p54u is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  p54u is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with p54u ; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __NETIF_H
#define __NETIF_H

#ifdef WITH_BPF

struct p54u_rx_radiotap_header
{
	struct ieee80211_radiotap_header wr_ihdr;
	uint8_t wr_flags;
	uint8_t rate;
	uint16_t wr_chan_freq;
	uint16_t wr_chan_flags;
	uint8_t wr_antsignal;
}
__attribute__ ((packed));

#define P54U_RX_RADIOTAP_PRESENT ((1 << IEEE80211_RADIOTAP_FLAGS) | (1 << IEEE80211_RADIOTAP_RATE) | (1 << IEEE80211_RADIOTAP_CHANNEL) | (1 << IEEE80211_RADIOTAP_DB_ANTSIGNAL))

struct p54u_tx_radiotap_header
{
	struct ieee80211_radiotap_header wt_ihdr;
	uint8_t wt_flags;
	uint16_t wt_chan_freq;
	uint16_t wt_chan_flags;
}
__attribute__ ((packed));

#define P54U_TX_RADIOTAP_PRESENT ((1 << IEEE80211_RADIOTAP_FLAGS) | (1 << IEEE80211_RADIOTAP_CHANNEL))

#endif

struct p54u_softc;

int p54u_update_leds(struct p54u_softc *sc, enum ieee80211_state state);
int p54u_led_event(struct p54u_softc *sc);

void p54u_start(struct ifnet *ifp);
int p54u_netif_init(struct p54u_softc *sc);
int p54u_netif_free(struct p54u_softc *sc);

#endif /* __NETIF_H */
