/*
  Copyright (C) 2005, 2006 Sebastien Bourdeauducq <lekernel@prism54.org>
 
  This file is part of p54u.
 
  p54u is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  p54u is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with p54u ; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __OUTPUT_LAYER_H
#define __OUTPUT_LAYER_H

#include <sys/types.h>
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/mbuf.h>
#include <sys/queue.h>

#ifdef WITH_USB
struct p54u_output_frame {
	TAILQ_ENTRY(p54u_output_frame) bf_list;
	uint32_t address;
	struct mbuf *m;
};
#endif

int p54u_enqueue_frame(struct p54u_softc *sc, struct mbuf *m, int hipri, uint32_t address);

#ifdef WITH_USB
int p54u_output_init(struct p54u_softc *sc);
int p54u_output_free(struct p54u_softc *sc);
#endif

#endif /* __OUTPUT_LAYER_H */
